Api referenceProjects

Get project detail

Return project metadata together with the latest persisted `editorState`.

GET
/v1/projects/{projectId}

Return project metadata together with the latest persisted editorState.

Authorization

ApiKeyAuth
x-api-key<token>

Enter your API key manually in the interactive docs playground. The value is stored only in the current browser and is not injected from server environment variables.

In: header

Path Parameters

projectId*string
Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.indream.ai/v1/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "data": {
    "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8",
    "title": "string",
    "description": "string",
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z",
    "editorState": {
      "compositionWidth": 50,
      "compositionHeight": 50,
      "timebaseTicksPerSecond": 240000,
      "outputRatio": "16:9",
      "tracks": [
        {
          "id": "string",
          "items": [
            "string"
          ],
          "hidden": true,
          "muted": true
        }
      ],
      "assets": {
        "property1": {
          "id": "string",
          "type": "image",
          "filename": "string",
          "size": 0,
          "remoteUrl": "string",
          "remoteKey": "string",
          "mimeType": "string",
          "width": 1,
          "height": 1
        },
        "property2": {
          "id": "string",
          "type": "image",
          "filename": "string",
          "size": 0,
          "remoteUrl": "string",
          "remoteKey": "string",
          "mimeType": "string",
          "width": 1,
          "height": 1
        }
      },
      "items": {
        "property1": {
          "id": "string",
          "type": "image",
          "durationTicks": 1,
          "startTicks": 0,
          "isDraggingInTimeline": true,
          "top": {
            "value": 0,
            "keyframes": [
              {
                "timeTicks": 0,
                "value": 0
              }
            ]
          },
          "left": {
            "value": 0,
            "keyframes": [
              {
                "timeTicks": 0,
                "value": 0
              }
            ]
          },
          "width": {
            "value": 0,
            "keyframes": [
              {
                "timeTicks": 0,
                "value": 0
              }
            ]
          },
          "height": {
            "value": 0,
            "keyframes": [
              {
                "timeTicks": 0,
                "value": 0
              }
            ]
          },
          "scaleX": {
            "value": 0,
            "keyframes": [
              {
                "timeTicks": 0,
                "value": 0
              }
            ]
          },
          "scaleY": {
            "value": 0,
            "keyframes": [
              {
                "timeTicks": 0,
                "value": 0
              }
            ]
          },
          "opacity": {
            "value": 0,
            "keyframes": [
              {
                "timeTicks": 0,
                "value": 0
              }
            ]
          },
          "assetId": "string",
          "stickerId": "string",
          "stickerVersion": 1,
          "keepAspectRatio": true,
          "borderRadius": {
            "value": 0,
            "keyframes": [
              {
                "timeTicks": 0,
                "value": 0
              }
            ]
          },
          "rotation": {
            "value": 0,
            "keyframes": [
              {
                "timeTicks": 0,
                "value": 0
              }
            ]
          },
          "cropLeft": {
            "value": 0,
            "keyframes": [
              {
                "timeTicks": 0,
                "value": 0
              }
            ]
          },
          "cropTop": {
            "value": 0,
            "keyframes": [
              {
                "timeTicks": 0,
                "value": 0
              }
            ]
          },
          "cropRight": {
            "value": 0,
            "keyframes": [
              {
                "timeTicks": 0,
                "value": 0
              }
            ]
          },
          "cropBottom": {
            "value": 0,
            "keyframes": [
              {
                "timeTicks": 0,
                "value": 0
              }
            ]
          },
          "animations": {
            "in": {
              "type": "fade",
              "durationTicks": 1,
              "easing": "linear",
              "params": {
                "property1": "string",
                "property2": "string"
              }
            },
            "out": {
              "type": "fade",
              "durationTicks": 1,
              "easing": "linear",
              "params": {
                "property1": "string",
                "property2": "string"
              }
            }
          }
        },
        "property2": {
          "id": "string",
          "type": "image",
          "durationTicks": 1,
          "startTicks": 0,
          "isDraggingInTimeline": true,
          "top": {
            "value": 0,
            "keyframes": [
              {
                "timeTicks": 0,
                "value": 0
              }
            ]
          },
          "left": {
            "value": 0,
            "keyframes": [
              {
                "timeTicks": 0,
                "value": 0
              }
            ]
          },
          "width": {
            "value": 0,
            "keyframes": [
              {
                "timeTicks": 0,
                "value": 0
              }
            ]
          },
          "height": {
            "value": 0,
            "keyframes": [
              {
                "timeTicks": 0,
                "value": 0
              }
            ]
          },
          "scaleX": {
            "value": 0,
            "keyframes": [
              {
                "timeTicks": 0,
                "value": 0
              }
            ]
          },
          "scaleY": {
            "value": 0,
            "keyframes": [
              {
                "timeTicks": 0,
                "value": 0
              }
            ]
          },
          "opacity": {
            "value": 0,
            "keyframes": [
              {
                "timeTicks": 0,
                "value": 0
              }
            ]
          },
          "assetId": "string",
          "stickerId": "string",
          "stickerVersion": 1,
          "keepAspectRatio": true,
          "borderRadius": {
            "value": 0,
            "keyframes": [
              {
                "timeTicks": 0,
                "value": 0
              }
            ]
          },
          "rotation": {
            "value": 0,
            "keyframes": [
              {
                "timeTicks": 0,
                "value": 0
              }
            ]
          },
          "cropLeft": {
            "value": 0,
            "keyframes": [
              {
                "timeTicks": 0,
                "value": 0
              }
            ]
          },
          "cropTop": {
            "value": 0,
            "keyframes": [
              {
                "timeTicks": 0,
                "value": 0
              }
            ]
          },
          "cropRight": {
            "value": 0,
            "keyframes": [
              {
                "timeTicks": 0,
                "value": 0
              }
            ]
          },
          "cropBottom": {
            "value": 0,
            "keyframes": [
              {
                "timeTicks": 0,
                "value": 0
              }
            ]
          },
          "animations": {
            "in": {
              "type": "fade",
              "durationTicks": 1,
              "easing": "linear",
              "params": {
                "property1": "string",
                "property2": "string"
              }
            },
            "out": {
              "type": "fade",
              "durationTicks": 1,
              "easing": "linear",
              "params": {
                "property1": "string",
                "property2": "string"
              }
            }
          }
        }
      },
      "transitions": {
        "property1": {
          "id": "string",
          "trackId": "string",
          "fromClipId": "string",
          "toClipId": "string",
          "type": "fade",
          "durationTicks": 1,
          "easing": "linear",
          "params": {
            "property1": "string",
            "property2": "string"
          }
        },
        "property2": {
          "id": "string",
          "trackId": "string",
          "fromClipId": "string",
          "toClipId": "string",
          "type": "fade",
          "durationTicks": 1,
          "easing": "linear",
          "params": {
            "property1": "string",
            "property2": "string"
          }
        }
      },
      "globalBackground": {
        "type": "none"
      },
      "brandRuntime": {},
      "deletedAssets": [
        {
          "assetId": "string",
          "remoteUrl": "string",
          "remoteKey": "string",
          "statusAtDeletion": {
            "type": "pending-upload"
          }
        }
      ]
    },
    "stateVersion": "string"
  },
  "meta": {}
}
{
  "type": "FORBIDDEN",
  "title": "Forbidden",
  "status": 403,
  "detail": "The current account is not eligible for this Open API route",
  "errorCode": "OPEN_API_RUNTIME_ACCESS_FORBIDDEN"
}
{
  "type": "FORBIDDEN",
  "title": "Forbidden",
  "status": 403,
  "detail": "The current account is not eligible for this Open API route",
  "errorCode": "OPEN_API_RUNTIME_ACCESS_FORBIDDEN"
}
{
  "type": "FORBIDDEN",
  "title": "Forbidden",
  "status": 403,
  "detail": "The current account is not eligible for this Open API route",
  "errorCode": "OPEN_API_RUNTIME_ACCESS_FORBIDDEN"
}
{
  "type": "FORBIDDEN",
  "title": "Forbidden",
  "status": 403,
  "detail": "The current account is not eligible for this Open API route",
  "errorCode": "OPEN_API_RUNTIME_ACCESS_FORBIDDEN"
}
{
  "type": "FORBIDDEN",
  "title": "Forbidden",
  "status": 403,
  "detail": "The current account is not eligible for this Open API route",
  "errorCode": "OPEN_API_RUNTIME_ACCESS_FORBIDDEN"
}